<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de" id="bueltge" >

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Script-Type" content="text/javascript" />

	<title>Gegen Spam mit CSS | bueltge.de [by:ltge.de]</title>
	
	<meta name="language" content="de" />
	<meta name="content-language" content="de" />
	<meta name="author" content="Frank Bueltge - http://bueltge.de" />

	<style type="text/css" media="screen">

	body {
	line-height: 2em;
	font-family: Arial, Helvetica, sans-serif;
	color: #333;
	font-size: 14px;
	padding: 20px;
	}
	
	.spamcheck {
	width: 5px;
	visibility: hidden;
	}
	
	pre, .footer {
	line-height: 1.2em;
	border: 1px solid #333;
	padding: 20px;
	background: #f4f4f4
	}
	
	pre, h3, p, form {
	margin-left: 20px;
	}
	
	.red {
	color: red;
	}
	
	.footer {
	text-align: center;
	margin: 20px 0 0 0;
	border: 2px solid #ba0100;
	}
	
	a {
	text-decoration: none;
	color: #1152c8;
	}
	</style>
	
</head>
<body>
<?php 
	$process = $_POST['process'];
	$spam    = $_POST['spamcheck'];
	$name    = $_POST['name'];
	$email   = $_POST['email'];
	$message = $_POST['message'];
	
	if ($process == 'gesendet') {
		if ($spam != '') {
			echo '<h1 class="red">Spammer</h1>';
		} else {
			echo '<h1 class="red">Kein Spam, weiteres vorgehen.</h1>';
		}
	} else { 
	?>

	<h1><a href="http://bueltge.de/spam-mit-hilfe-von-css-bekaempfen/473/" title="zum Beitrag">Gegen Spam mit CSS</a></h1>
	<h3>input-Feld ausgeblendet</h3>
	<form method="post" action="again_spam_with_css.php">  
	<fieldset>
		<label>Name: </label><input name="name" type="text" /><br />
		<label>E-Mail: </label><input name="email" type="text" /><br />
		<label>Mitteilung: </label><input name="message" type="text" />
		<input name="spamcheck" class="spamcheck" type="text" /><br />
		<input type="hidden" name="process" value="gesendet" />
		<input value="Senden" type="submit" />
	</fieldset>
	</form>

	<h3>input-Feld nicht ausgeblendet</h3>
	<p>Spamer f&uuml;llen das Feld aus, da sie jedes Feld ausf&uuml;llen - sie sind dumm. Gebe einen String ein und sende.</p>
	<form method="post" action="again_spam_with_css.php">  
	<fieldset>
		<label>Name: </label><input name="name" type="text" /><br />
		<label>E-Mail: </label><input name="email" type="text" /><br />
		<label>Mitteilung: </label><input name="message" type="text" />
		<input name="spamcheck" class="spamcheck2" type="text" /><br />
		<input type="hidden" name="process" value="gesendet" />
		<input value="Senden" type="submit" />
	</fieldset>
	</form>

	<h2>Hintergr&uuml;nde</h2>
	<h3>HTML Code des Formulars</h3>
	<pre>
	&lt;form method="post" action="again_spam_with_css.php"&gt;  
	&lt;fieldset&gt;
		&lt;label&gt;Name: &lt;/label&gt;&lt;input name="name" type="text" /&gt;&lt;br /&gt;
		&lt;label&gt;E-Mail: &lt;/label&gt;&lt;input name="email" type="text" /&gt;&lt;br /&gt;
		&lt;label&gt;Mitteilung: &lt;/label&gt;&lt;input name="message" type="text" /&gt;
		&lt;input name="spamcheck" class="spamcheck" type="text" /&gt;&lt;br /&gt;
		&lt;input type="hidden" name="process" value="gesendet" /&gt;
		&lt;input value="Senden" type="submit" /&gt;  
	&lt;/fieldset&gt;
	&lt;/form&gt;
	</pre>

	<h3>CSS Style</h3>
	<pre>
	body {
	line-height: 2em;
	font-family: Arial, Helvetica, sans-serif;
	color: #333;
	font-size: 14px;
	}
	
	.spamcheck {
	width: 5px;
	visibility: hidden;
	}
	</pre>
	<h3>PHP Code:</h3>
	<pre>
	$process = $_POST['process'];
	$spam    = $_POST['spamcheck'];
	$name    = $_POST['name'];
	$email   = $_POST['email'];
	$comment = $_POST['comment'];
	
	if ($process == 'gesendet') {
		if ($spam != '') {
			echo 'Spammer';
		} else {
			echo 'Kein Spam, weiteres vorgehen.';
		}
	} else { 
		echo 'Der Prozess &uuml;bergibt nicht "gesendet", mach etwas oder lass es.';
	}
	</pre>
<?php } ?>

	<p class="footer">Dies ist nur eine Beispieldatei, das Tutorial dazu ist bei <a href="http://bueltge.de/spam-mit-hilfe-von-css-bekaempfen/473/">bueltge.de</a> erschienen. Dort sind weitere Hintergrundinformationen und der <a href="http://bueltge.de/test/again_spam_with_css.zip">Download des Beispiels</a> hinterlegt.</p>

</body>
</html>